import type { Options } from '@swc/core';
import { SyncWaterfallHook } from 'tapable';
import { _TTypeScript } from '@rushstack/heft-typescript-plugin';

/**
 * @beta
 */
export declare interface ISwcIsolatedTranspilePluginAccessor {
    hooks: {
        /**
         * This hook will get called for each module kind and script target that that will be emitted.
         *
         * @internalRemarks
         * In the future, consider replacing this with a HookMap.
         */
        getSwcOptions: SyncWaterfallHook<Options, ModuleKind, ScriptTarget>;
    };
}

/**
 * @public
 */
export declare type ModuleKind = keyof typeof _TTypeScript.ModuleKind;

/**
 * @public
 */
export declare type ScriptTarget = keyof typeof _TTypeScript.ScriptTarget;

export { }
